Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cz.vutbr.feec.utko.fojtoval.krypto.windows
Class NavrhViewEvents

    java.lang.Object
      org.jdesktop.application.AbstractBean
          org.jdesktop.application.View
              org.jdesktop.application.FrameView
                  cz.vutbr.feec.utko.fojtoval.krypto.windows.NavrhView
                      cz.vutbr.feec.utko.fojtoval.krypto.windows.NavrhViewEvents

    public class NavrhViewEvents

extends NavrhView

Obsluha udalosti hlavniho okna NavrhView a metody pro obsluh techto udalosti.

Field Summary
`boolean` | `tchange`
`java.lang.String` | `upravenytext`

Constructor Summary
`NavrhViewEvents(org.jdesktop.application.SingleFrameApplication app)`

Method Summary
`boolean` | `editujText()`
`boolean` | `checkChange(javax.swing.JPanel p)` Slouzi pro kontrolu obsahu vstupni textoveho okna - pokud byl upraven, vynuti jeho editaci (odstra- neni diaktiriky atd.), jinak se pozadovane metody neprovedou !
`void` | `initEvents()`

Methods inherited from class cz.vutbr.feec.utko.fojtoval.krypto.windows.NavrhView
`getAfinniSifra, getAfinniSifraLusteni, getBiTrigramy, getCopy, getDelete, getEic, getEuklides, getEuklidesExten, getFreqa, getIc, getIndexpismene, getJednoduchaTranspozice, getJednoduchaTranspoziceLusteni, getJednoduchyPosun, getJednoduchyPosunLusteni, getjFileChooser1, getjLabel10, getjLabel12, getjLabel3, getjLabel4, getjLabel5, getjTextPane1, getjTextPane2, getMainPanel, getNahodnaAbeceda, getNapoveda, getOpenFile, getPaste, getPresunVlevo, getPrevodTabulka, getPrumeric, getRozkladPrvocisla, getSaveFile, getSelect, getSubtext, getTextEdit, getVigenere, getVigenereAutoklic, getVigenereAutoklicLusteni, getVigenereLusteni, getVyhledaniNtic, getVymaz, getVymazVlevo, getVymazVpravo, getVymenaJedenZnak, getVymenaVse, getVynuluj, getVzdalenosti, getZadaniAbecedy, getZadaniKlice, getZadaniKliceLusteni, setjTextPane2, showAboutBox`

Methods inherited from class org.jdesktop.application.FrameView
`getFrame, getRootPane, setFrame`

Methods inherited from class org.jdesktop.application.View
`getApplication, getComponent, getContext, getMenuBar, getResourceMap, getStatusBar, getToolBar, getToolBars, setComponent, setMenuBar, setStatusBar, setToolBar, setToolBars`

Methods inherited from class org.jdesktop.application.AbstractBean
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, getPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### upravenytext

    public java.lang.String upravenytext

### tchange

    public boolean tchange

Constructor Detail

### NavrhViewEvents

    public NavrhViewEvents(org.jdesktop.application.SingleFrameApplication app)

Method Detail

### initEvents

    public void initEvents()

### editujText

    public boolean editujText()

### checkChange

    public boolean checkChange(javax.swing.JPanel p)

  Slouzi pro kontrolu obsahu vstupni textoveho okna - pokud byl upraven, vynuti jeho editaci (odstra- neni diaktiriky atd.), jinak se pozadovane metody neprovedou !

  Parameters:
    `p` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD